Index: contrib/Pallet/English.lproj/MainMenu.xib
===================================================================
--- contrib/Pallet/English.lproj/MainMenu.xib	(revision 65496)
+++ contrib/Pallet/English.lproj/MainMenu.xib	(revision 72223)
@@ -3073,11 +3733,570 @@
 						</object>
 					</object>
-					<string key="NSFrameSize">{608, 286}</string>
+					<string key="NSFrameSize">{608, 386}</string>
+					<reference key="NSSuperview"/>
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {1280, 778}}</string>
-				<string key="NSMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<string key="NSMaxSize">{1.79769e+308, 1.79769e+308}</string>
 			</object>
 			<object class="NSCustomObject" id="245714563">
 				<string key="NSClassName">ActivityController</string>
+			</object>
+			<object class="NSCustomView" id="610590059">
+				<reference key="NSNextResponder"/>
+				<int key="NSvFlags">256</int>
+				<object class="NSMutableArray" key="NSSubviews">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+					<object class="NSButton" id="452370589">
+						<reference key="NSNextResponder" ref="610590059"/>
+						<int key="NSvFlags">290</int>
+						<string key="NSFrame">{{0, -1}, {284, 35}}</string>
+						<reference key="NSSuperview" ref="610590059"/>
+						<bool key="NSEnabled">YES</bool>
+						<object class="NSButtonCell" key="NSCell" id="412817228">
+							<int key="NSCellFlags">-2080244224</int>
+							<int key="NSCellFlags2">134217728</int>
+							<string key="NSContents">Start</string>
+							<reference key="NSSupport" ref="782475540"/>
+							<reference key="NSControlView" ref="452370589"/>
+							<int key="NSButtonFlags">-2033434369</int>
+							<int key="NSButtonFlags2">162</int>
+							<string key="NSAlternateContents"/>
+							<string key="NSKeyEquivalent"/>
+							<int key="NSPeriodicDelay">400</int>
+							<int key="NSPeriodicInterval">75</int>
+						</object>
+					</object>
+					<object class="NSScrollView" id="271863607">
+						<reference key="NSNextResponder" ref="610590059"/>
+						<int key="NSvFlags">274</int>
+						<object class="NSMutableArray" key="NSSubviews">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<object class="NSClipView" id="874476791">
+								<reference key="NSNextResponder" ref="271863607"/>
+								<int key="NSvFlags">2304</int>
+								<object class="NSMutableArray" key="NSSubviews">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<object class="NSTableView" id="7154443">
+										<reference key="NSNextResponder" ref="874476791"/>
+										<int key="NSvFlags">256</int>
+										<string key="NSFrameSize">{318, 418}</string>
+										<reference key="NSSuperview" ref="874476791"/>
+										<int key="NSViewLayerContentsRedrawPolicy">2</int>
+										<bool key="NSEnabled">YES</bool>
+										<object class="NSTableHeaderView" key="NSHeaderView" id="446743769">
+											<reference key="NSNextResponder" ref="171583958"/>
+											<int key="NSvFlags">256</int>
+											<string key="NSFrameSize">{318, 17}</string>
+											<reference key="NSSuperview" ref="171583958"/>
+											<int key="NSViewLayerContentsRedrawPolicy">2</int>
+											<reference key="NSTableView" ref="7154443"/>
+										</object>
+										<object class="_NSCornerView" key="NSCornerView" id="989237356">
+											<reference key="NSNextResponder" ref="271863607"/>
+											<int key="NSvFlags">-2147483392</int>
+											<string key="NSFrame">{{1, 0}, {1, 0}}</string>
+											<reference key="NSSuperview" ref="271863607"/>
+											<int key="NSViewLayerContentsRedrawPolicy">2</int>
+										</object>
+										<object class="NSMutableArray" key="NSTableColumns">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<object class="NSTableColumn" id="112554963">
+												<double key="NSWidth">21</double>
+												<double key="NSMinWidth">10</double>
+												<double key="NSMaxWidth">3.4028234663852886e+38</double>
+												<object class="NSTableHeaderCell" key="NSHeaderCell">
+													<int key="NSCellFlags">75628096</int>
+													<int key="NSCellFlags2">2048</int>
+													<string key="NSContents"/>
+													<reference key="NSSupport" ref="26"/>
+													<reference key="NSBackgroundColor" ref="934732725"/>
+													<reference key="NSTextColor" ref="67059057"/>
+												</object>
+												<object class="NSImageCell" key="NSDataCell" id="398455812">
+													<int key="NSCellFlags">67239424</int>
+													<int key="NSCellFlags2">33685504</int>
+													<reference key="NSSupport" ref="26"/>
+													<int key="NSAlign">4</int>
+													<int key="NSScale">0</int>
+													<int key="NSStyle">0</int>
+													<bool key="NSAnimates">NO</bool>
+												</object>
+												<int key="NSResizingMask">1</int>
+												<bool key="NSIsResizeable">YES</bool>
+												<bool key="NSIsEditable">YES</bool>
+												<reference key="NSTableView" ref="7154443"/>
+											</object>
+											<object class="NSTableColumn" id="315945499">
+												<double key="NSWidth">220</double>
+												<double key="NSMinWidth">40</double>
+												<double key="NSMaxWidth">1000</double>
+												<object class="NSTableHeaderCell" key="NSHeaderCell">
+													<int key="NSCellFlags">75628096</int>
+													<int key="NSCellFlags2">2048</int>
+													<string key="NSContents">Port</string>
+													<reference key="NSSupport" ref="26"/>
+													<object class="NSColor" key="NSBackgroundColor" id="132211374">
+														<int key="NSColorSpace">3</int>
+														<bytes key="NSWhite">MC4zMzMzMzI5ODU2AA</bytes>
+													</object>
+													<reference key="NSTextColor" ref="67059057"/>
+												</object>
+												<object class="NSTextFieldCell" key="NSDataCell" id="372671123">
+													<int key="NSCellFlags">337772096</int>
+													<int key="NSCellFlags2">2048</int>
+													<string key="NSContents">Text Cell</string>
+													<reference key="NSSupport" ref="782475540"/>
+													<reference key="NSControlView" ref="7154443"/>
+													<reference key="NSBackgroundColor" ref="800202432"/>
+													<reference key="NSTextColor" ref="475656758"/>
+												</object>
+												<int key="NSResizingMask">1</int>
+												<bool key="NSIsResizeable">YES</bool>
+												<bool key="NSIsEditable">YES</bool>
+												<reference key="NSTableView" ref="7154443"/>
+											</object>
+											<object class="NSTableColumn" id="1036951787">
+												<double key="NSWidth">68</double>
+												<double key="NSMinWidth">40</double>
+												<double key="NSMaxWidth">1000</double>
+												<object class="NSTableHeaderCell" key="NSHeaderCell">
+													<int key="NSCellFlags">75628096</int>
+													<int key="NSCellFlags2">2048</int>
+													<string key="NSContents">Operation</string>
+													<reference key="NSSupport" ref="26"/>
+													<reference key="NSBackgroundColor" ref="132211374"/>
+													<reference key="NSTextColor" ref="67059057"/>
+												</object>
+												<object class="NSTextFieldCell" key="NSDataCell" id="1061167304">
+													<int key="NSCellFlags">337772096</int>
+													<int key="NSCellFlags2">2048</int>
+													<string key="NSContents">Text Cell</string>
+													<reference key="NSSupport" ref="782475540"/>
+													<reference key="NSControlView" ref="7154443"/>
+													<reference key="NSBackgroundColor" ref="800202432"/>
+													<reference key="NSTextColor" ref="475656758"/>
+												</object>
+												<int key="NSResizingMask">1</int>
+												<bool key="NSIsResizeable">YES</bool>
+												<bool key="NSIsEditable">YES</bool>
+												<reference key="NSTableView" ref="7154443"/>
+											</object>
+										</object>
+										<double key="NSIntercellSpacingWidth">3</double>
+										<double key="NSIntercellSpacingHeight">2</double>
+										<reference key="NSBackgroundColor" ref="415231890"/>
+										<reference key="NSGridColor" ref="391761051"/>
+										<double key="NSRowHeight">17</double>
+										<int key="NSTvFlags">314572800</int>
+										<reference key="NSDelegate"/>
+										<reference key="NSDataSource"/>
+										<int key="NSColumnAutoresizingStyle">4</int>
+										<int key="NSDraggingSourceMaskForLocal">15</int>
+										<int key="NSDraggingSourceMaskForNonLocal">0</int>
+										<bool key="NSAllowsTypeSelect">YES</bool>
+										<int key="NSTableViewDraggingDestinationStyle">0</int>
+									</object>
+								</object>
+								<string key="NSFrame">{{1, 17}, {282, 418}}</string>
+								<reference key="NSSuperview" ref="271863607"/>
+								<reference key="NSNextKeyView" ref="7154443"/>
+								<int key="NSViewLayerContentsRedrawPolicy">2</int>
+								<reference key="NSDocView" ref="7154443"/>
+								<reference key="NSBGColor" ref="800202432"/>
+								<int key="NScvFlags">4</int>
+							</object>
+							<object class="NSScroller" id="24793711">
+								<reference key="NSNextResponder" ref="271863607"/>
+								<int key="NSvFlags">-2147483392</int>
+								<string key="NSFrame">{{-100, -100}, {15, -15}}</string>
+								<reference key="NSSuperview" ref="271863607"/>
+								<int key="NSViewLayerContentsRedrawPolicy">2</int>
+								<reference key="NSTarget" ref="271863607"/>
+								<string key="NSAction">_doScroller:</string>
+								<double key="NSCurValue">1</double>
+								<double key="NSPercent">0.94339621067047119</double>
+							</object>
+							<object class="NSScroller" id="570962116">
+								<reference key="NSNextResponder" ref="271863607"/>
+								<int key="NSvFlags">-2147483392</int>
+								<string key="NSFrame">{{-100, -100}, {224, 15}}</string>
+								<reference key="NSSuperview" ref="271863607"/>
+								<int key="NSViewLayerContentsRedrawPolicy">2</int>
+								<bool key="NSEnabled">YES</bool>
+								<int key="NSsFlags">1</int>
+								<reference key="NSTarget" ref="271863607"/>
+								<string key="NSAction">_doScroller:</string>
+								<double key="NSPercent">0.99581587314605713</double>
+							</object>
+							<object class="NSClipView" id="171583958">
+								<reference key="NSNextResponder" ref="271863607"/>
+								<int key="NSvFlags">2304</int>
+								<object class="NSMutableArray" key="NSSubviews">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<reference ref="446743769"/>
+								</object>
+								<string key="NSFrame">{{1, 0}, {282, 17}}</string>
+								<reference key="NSSuperview" ref="271863607"/>
+								<reference key="NSNextKeyView" ref="446743769"/>
+								<int key="NSViewLayerContentsRedrawPolicy">2</int>
+								<reference key="NSDocView" ref="446743769"/>
+								<reference key="NSBGColor" ref="800202432"/>
+								<int key="NScvFlags">4</int>
+							</object>
+							<reference ref="989237356"/>
+						</object>
+						<string key="NSFrame">{{0, 32}, {284, 436}}</string>
+						<reference key="NSSuperview" ref="610590059"/>
+						<reference key="NSNextKeyView" ref="874476791"/>
+						<int key="NSViewLayerContentsRedrawPolicy">2</int>
+						<int key="NSsFlags">658</int>
+						<reference key="NSVScroller" ref="24793711"/>
+						<reference key="NSHScroller" ref="570962116"/>
+						<reference key="NSContentView" ref="874476791"/>
+						<reference key="NSHeaderClipView" ref="171583958"/>
+						<reference key="NSCornerView" ref="989237356"/>
+						<bytes key="NSScrollAmts">QSAAAEEgAABBmAAAQZgAAA</bytes>
+					</object>
+				</object>
+				<string key="NSFrameSize">{284, 468}</string>
+				<reference key="NSSuperview"/>
+				<string key="NSClassName">NSView</string>
+			</object>
+			<object class="NSDrawer" id="379104054">
+				<nil key="NSNextResponder"/>
+				<string key="NSContentSize">{200, 100}</string>
+				<string key="NSMinContentSize">{0, 0}</string>
+				<string key="NSMaxContentSize">{10000, 10000}</string>
+				<int key="NSPreferredEdge">1</int>
+				<double key="NSLeadingOffset">0.0</double>
+				<double key="NSTrailingOffset">15</double>
+				<nil key="NSParentWindow"/>
+				<nil key="NSDelegate"/>
+			</object>
+			<object class="NSArrayController" id="194540380">
+				<object class="NSMutableArray" key="NSDeclaredKeys">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+					<string>id</string>
+					<string>operation</string>
+					<string>port</string>
+					<string>variants</string>
+					<string>image</string>
+				</object>
+				<bool key="NSEditable">YES</bool>
+				<object class="_NSManagedProxy" key="_NSManagedProxy"/>
+				<bool key="NSPreservesSelection">YES</bool>
+				<bool key="NSSelectsInsertedObjects">YES</bool>
+				<bool key="NSFilterRestrictsInsertion">YES</bool>
+				<bool key="NSClearsFilterPredicateOnInsertion">YES</bool>
+			</object>
+			<object class="NSWindowTemplate" id="817372175">
+				<int key="NSWindowStyleMask">8211</int>
+				<int key="NSWindowBacking">2</int>
+				<string key="NSWindowRect">{{196, 312}, {366, 198}}</string>
+				<int key="NSWTFlags">1677721600</int>
+				<string key="NSWindowTitle">Window</string>
+				<string key="NSWindowClass">NSPanel</string>
+				<nil key="NSViewClass"/>
+				<string key="NSWindowContentMaxSize">{1.79769e+308, 1.79769e+308}</string>
+				<object class="NSView" key="NSWindowView" id="59672295">
+					<reference key="NSNextResponder"/>
+					<int key="NSvFlags">256</int>
+					<object class="NSMutableArray" key="NSSubviews">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSTextField" id="52967408">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{17, 162}, {537, 22}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="432075803">
+								<int key="NSCellFlags">68288064</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents">Name</string>
+								<reference key="NSSupport" ref="388431320"/>
+								<reference key="NSControlView" ref="52967408"/>
+								<reference key="NSBackgroundColor" ref="377834071"/>
+								<reference key="NSTextColor" ref="102768443"/>
+							</object>
+						</object>
+						<object class="NSImageView" id="168062728">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">265</int>
+							<object class="NSMutableSet" key="NSDragTypes">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="NSArray" key="set.sortedObjects">
+									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>Apple PDF pasteboard type</string>
+									<string>Apple PICT pasteboard type</string>
+									<string>Apple PNG pasteboard type</string>
+									<string>NSFilenamesPboardType</string>
+									<string>NeXT Encapsulated PostScript v1.2 pasteboard type</string>
+									<string>NeXT TIFF v4.0 pasteboard type</string>
+								</object>
+							</object>
+							<string key="NSFrame">{{575, 166}, {32, 32}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSImageCell" key="NSCell" id="301345659">
+								<int key="NSCellFlags">130560</int>
+								<int key="NSCellFlags2">33554432</int>
+								<int key="NSAlign">0</int>
+								<int key="NSScale">2</int>
+								<int key="NSStyle">0</int>
+								<bool key="NSAnimates">NO</bool>
+							</object>
+							<bool key="NSEditable">YES</bool>
+						</object>
+						<object class="NSButton" id="519462480">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{204, 138}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="864596472">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">First Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="519462480"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<object class="NSCustomResource" key="NSNormalImage" id="685496496">
+									<string key="NSClassName">NSImage</string>
+									<string key="NSResourceName">NSSwitch</string>
+								</object>
+								<object class="NSButtonImageSource" key="NSAlternateImage" id="707746207">
+									<string key="NSImageName">NSSwitch</string>
+								</object>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="596417819">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{21, 138}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="818925231">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Zero Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="596417819"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="24998687">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{21, 118}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="1020278873">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Second Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="24998687"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="319810427">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{204, 118}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="644322806">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Third Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="319810427"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="377089720">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{21, 98}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="865380386">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Fourth Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="377089720"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="1062541729">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{204, 98}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="511982010">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Fifth Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="1062541729"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="259245956">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{21, 78}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="59227764">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Sixth Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="259245956"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="827446577">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{204, 78}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="386000867">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Seventh Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="827446577"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="160311832">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{21, 58}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="61274906">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Eighth Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="160311832"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="296240922">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{204, 58}, {144, 18}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="1061949477">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Ninth Variant</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="296240922"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSNormalImage" ref="685496496"/>
+								<reference key="NSAlternateImage" ref="707746207"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="839828551">
+							<reference key="NSNextResponder" ref="59672295"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{17, 12}, {96, 32}}</string>
+							<reference key="NSSuperview" ref="59672295"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="949798598">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">134217728</int>
+								<string key="NSContents">Go</string>
+								<reference key="NSSupport" ref="782475540"/>
+								<reference key="NSControlView" ref="839828551"/>
+								<int key="NSButtonFlags">-2038284033</int>
+								<int key="NSButtonFlags2">129</int>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+					</object>
+					<string key="NSFrameSize">{366, 198}</string>
+					<reference key="NSSuperview"/>
+				</object>
+				<string key="NSScreenRect">{{0, 0}, {1024, 578}}</string>
+				<string key="NSMaxSize">{1.79769e+308, 1.79769e+308}</string>
 			</object>
 		</object>
@@ -3538,5 +4757,5 @@
 							<object class="NSDictionary" key="NSOptions">
 								<bool key="EncodedWithXMLCoder">YES</bool>
-								<object class="NSMutableArray" key="dict.sortedKeys">
+								<object class="NSArray" key="dict.sortedKeys">
 									<bool key="EncodedWithXMLCoder">YES</bool>
 									<string>NSRaisesForNotApplicableKeys</string>
@@ -3545,5 +4764,5 @@
 								<object class="NSMutableArray" key="dict.values">
 									<bool key="EncodedWithXMLCoder">YES</bool>
-									<boolean value="NO" id="6"/>
+									<boolean value="NO"/>
 									<string>StateTransformer</string>
 								</object>
@@ -3591,12 +4810,4 @@
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">install:</string>
-						<reference key="source" ref="800227439"/>
-						<reference key="destination" ref="650498606"/>
-					</object>
-					<int key="connectionID">629</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">ports</string>
@@ -3811,24 +5022,4 @@
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBBindingConnection" key="connection">
-						<string key="label">enabled: busy</string>
-						<reference key="source" ref="650498606"/>
-						<reference key="destination" ref="245714563"/>
-						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="650498606"/>
-							<reference key="NSDestination" ref="245714563"/>
-							<string key="NSLabel">enabled: busy</string>
-							<string key="NSBinding">enabled</string>
-							<string key="NSKeyPath">busy</string>
-							<object class="NSDictionary" key="NSOptions">
-								<string key="NS.key.0">NSValueTransformerName</string>
-								<string key="NS.object.0">NSNegateBoolean</string>
-							</object>
-							<int key="NSNibBindingConnectorVersion">2</int>
-						</object>
-					</object>
-					<int key="connectionID">775</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">activityController</string>
